Products
Catalog products and variants
Archive
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/archive" \ -H "Content-Type: application/json" \ -d '{ "productId": "string" }'{}Archive Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/archiveMany" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ] }'{}Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/create" \ -H "Content-Type: application/json" \ -d '{}'{}Duplicate
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/duplicate" \ -H "Content-Type: application/json" \ -d '{ "productId": "string" }'{}Force Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/forceDelete" \ -H "Content-Type: application/json" \ -d '{ "productId": "string" }'{}Force Delete Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/forceDeleteMany" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ] }'{}Generate Description
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/generateDescription" \ -H "Content-Type: application/json" \ -d '{ "productId": "string", "name": "string" }'{}Get Many
Path Parameters
1 <= lengthQuery Parameters
false"IN_STOCK" | "OUT_OF_STOCK"101 <= value <= 100["created_desc"]11 <= value"PUBLIC" | "PRIVATE""DRAFT" | "ACTIVE" | "ARCHIVED"Response Body
application/json
curl -X GET "https://www.prolifto.store/api/string/products"{}curl -X GET "https://www.prolifto.store/api/string/products/lite"{}Get Names By Ids
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/getNamesByIds" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ] }'{}Get Neighbors
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/getNeighbors" \ -H "Content-Type: application/json" \ -d '{ "productId": "string" }'{}Get One
Path Parameters
1 <= length1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/products/string"{}Import
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/import" \ -H "Content-Type: application/json" \ -d '{ "csv": "string" }'{}Import Preview
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/importPreview" \ -H "Content-Type: application/json" \ -d '{ "csv": "string" }'{}Import Status
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/importStatus" \ -H "Content-Type: application/json" \ -d '{ "jobId": "string" }'{}Publish
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/publish" \ -H "Content-Type: application/json" \ -d '{ "productId": "string" }'{}Publish Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/publishMany" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ], "status": "DRAFT" }'{}Restore
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/restore" \ -H "Content-Type: application/json" \ -d '{ "productId": "string" }'{}Restore Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/restoreMany" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ] }'{}Update Details
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/updateDetails" \ -H "Content-Type: application/json" \ -d '{ "productId": "string" }'{}Update Privacy
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/updatePrivacy" \ -H "Content-Type: application/json" \ -d '{ "productId": "string", "privacy": "PUBLIC" }'{}Update Privacy Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/updatePrivacyMany" \ -H "Content-Type: application/json" \ -d '{ "privacy": "PUBLIC", "productIds": [ "string" ] }'{}Update Track Inventory
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/products/updateTrackInventory" \ -H "Content-Type: application/json" \ -d '{ "productId": "string", "trackInventory": true }'{}